Complete single sign-on login
GET
/login/oidc/callback
const url = 'https://example.com/api/v1/login/oidc/callback';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/login/oidc/callbackExchanges the authorization code and verifies the ID token. On success the API token is set as grommunioAuthJwt cookie and the browser is redirected to /login?sso=1, otherwise to /login?sso_error=<reason>.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”code
string
Authorization code issued by the provider
state
string
State value of the login request
error
string
Error code reported by the provider
error_description
string
Error description reported by the provider
Responses
Section titled “ Responses ”Redirect to the login page
Single sign-on is not enabled
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}